%{?drupal7_find_provides_and_requires}

%global module panels

Name:          drupal7-%{module}
Version:       3.5
Release:       2%{?dist}
Summary:       Allows a site administrator to create customized layouts

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# panels.info
Requires:      drupal7(ctools) > 1.5
# phpcompatinfo (computed from version 3.5)
Requires:      php-date
Requires:      php-pcre
Requires:      php-spl

%description
The Panels module allows a site administrator to create customized layouts for
multiple uses. At its core it is a drag and drop content manager that lets you
visually design a layout and place content within that layout. Integration with
other systems allows you to create nodes that use this, landing pages that use
this, and even override system pages such as taxonomy and the node page so that
you can customize the layout of your site with very fine grained permissions.

This package provides the following Drupal modules:
* %{module}
* %{module}_ipe
* %{module}_mini
* %{module}_node
* i18n_%{module}


%prep
%setup -qn %{module}

# RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README

# Docs
mkdir -p docs/i18n_panels
mv *.txt docs/
mv i18n_panels/*.txt docs/i18n_panels/
mv docs/LICENSE.txt .


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc docs/*
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/docs
%exclude %{drupal7_modules}/%{module}/LICENSE.txt


%changelog
* Sat Feb 07 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.5-2
- Added drupal7(ctools) requirement

* Tue Feb 03 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.5-1
- Updated to 3.5 (BZ #1187881)
- Spec cleanup

* Mon May 26 2014 Peter Borsa <peter.borsa@gmail.com> - 3.4-1
- Initial package
